*{

    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* outline: 1px solid red !important; */

}

:root{

    /* Geometry     */

    --max-width: 1100px;

    /* Colors     */

    --site-main-color: #333;

    /*   Fonts      */

    --comfartaa-font: "Comfortaa", sans-serif;
    --dmsans-font: "DM Sans", sans-serif;
    --elmssans-font: "Elms Sans", sans-serif;
    --aneksans-font: "Anek Latin", sans-serif;
}

body{

    font-size: 16px;

    background-color: black;



}

#header{

    width: 100%;
    justify-items: right;
}

.navbar{

    width: 120px;
    height: 120px;
    position: fixed;
    right: 3%;
    top: 3%;
    place-items: center;
    border-radius: 60px;
    transition: all 0.4s ease;
    z-index: 999;
}

.navbar-hidden{

    
    transform: translateY(-120%);

}


.menu{
    
    position: absolute;
    top: 0;
    right: 0;
    width: 120px;
    height: 120px;
    border-radius: 60px;
    background-color: rgba(255, 255, 255, 0.7);
    backdrop-filter: blur(2px);
    border: 2px solid rgba(230, 230, 230, 0.1);
    box-shadow: 0 0 10px 5px rgba(255, 255, 255, 0.2);
    transition: all 0.3s ease;
    place-items: center;
    overflow: hidden;
    
}

.menu-bar-icon-wrapper{

    top: 0;
    left: 0;
    position: absolute;
    width: 120px;
    height: 120px;
    border-radius: 60px;
    
}

.menu-bar-icon{

    top:10px;
    left: 10px;
    width: 100px;
    height: 100px;
    position: absolute;
    transition: transform 0.2s ease-in-out;


}

.menu-bar-icon:hover {
    transform: scale(1.2); 
}


.menu-links{

    display: grid;
    position: relative;
    top: 120px;
    left: 0;
    width: 100%;
    justify-content: center;
    line-height: 1.3em;
    font-family: var(--dmsans-font);
    font-weight: 200;
    font-size: clamp(1.5rem, 5vw, 2rem);
    transition: all 0.3s ease;
    
}

.menu-links li{

    list-style: none;
    text-decoration: none;
    
    
}

.menu-links ul li a{

    list-style: none;
    text-decoration: none;
    color: black;
    transition: all 0.3s ease;
}

.menu-links ul li a:hover{

    color: #333;
    font-weight: 600;

}

.hero{

    font-size: clamp(1.1rem, 3vw, 2rem);
    place-items: center;
    height: 100%;
    
    
}

.hero-container {

    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    justify-content: center;
    height: 100%;
    
    
        
}

.hero-content{

    color: white;
    top: 150px;
    left: 4%;
    position: absolute;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    text-align: center;
    width: 90%;
    height: auto;
    padding: 15px;
    background-color: rgba(223, 223, 223, 0.2);
    border-radius: 15px;
    
    
}

.hero-heading {


    
    justify-content: center;
    text-align: center;    
    color: var(--site-secundary-colour);
    font-family: var(--aneksans-font);
    flex-grow: 1;
    padding-bottom: 5px;
    text-shadow: #333;
    text-shadow: 6px 6px 3px rgba(0, 0, 0, 0.5);

}

.hero-text{

    margin: auto;
    justify-content: flex-end;
    align-items: center;
    font-family: var(--dmsans-font);
    flex-grow: 1;
}

.hero-buttons{

    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding-top: 20px;
    gap: 30px;
    padding-bottom: 20px;

}

.hero-picture{

    width: 100%;
    height: 100%;
    max-height: 480px;
    object-fit:contain;
    
}

.hero-picture img{

    width: 100%;
    height: 100%;
    max-height: 700px;
    
    object-fit: cover;


}

.hero-img-phone{

    display: none;


}


.hero-full-width-item{

   
    grid-column: span 2;
}

.restoran-jelovnik{

    font-weight: 200;
    text-decoration: none;
    color: white;
    font-family: var(--aneksans-font);
    font-size: 0.8em;
    cursor: pointer;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 10px;
    transition: all 300ms ease-in-out;
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.3);

}

.restoran-jelovnik:hover{

    background-color: rgba(255, 255, 255, 0.9);
    color: #333;
    
    font-weight: 600;


}

.dostava-jelovnik{

    font-weight: 200;
    text-decoration: none;
    color: white;
    font-family: var(--aneksans-font);
    font-size: 0.8em;
    cursor: pointer;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 10px;
    transition: all 300ms ease;
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.3);


}

.dostava-jelovnik:hover{

    background-color: rgba(255, 255, 255, 0.9);
    color: #333;
    font-weight: 600;

}


@media screen and (max-width: 600px) {
  /* CSS rules to apply when the viewport width is 499px or less */
  .hero-img-phone{

    display: block;
    min-height: 420px;

    }


    .hero-img{

        display: none;

    }
}



@media screen and (min-width: 600px) {
  
  
  .features-full-width-item{

    grid-column: span 2;

  }


    #cards div{

    width: 10%;
    
    display: flex;
    justify-content: center; /* Centers horizontally */
    align-items: center; /* Centers vertically */
    
    align-self: center;


    }

    #cards div img{

    width: 60%;
    margin-left: auto;
    margin-right: auto;

    
    }

    .cards{

    width: 100%;
    height: auto;
    margin-left: 2%;
    align-items: center;

    }


}


.features{

    padding-top: 20px;
    place-items: center;
    max-width: 100%;
    background-image: url(/img/pic8.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;


}

.features-wrapper{

    max-width: 100%;
    width: var(--max-width);
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    gap: 20px;
    justify-content: center;
    padding-left: 3%;
    padding-right: 3%;
    height: auto;

}


.features-text{

    font-family: var(--dmsans-font);
    font-size: clamp(1.1rem, 3vw, 2rem);
    font-weight: 200;
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    color: #333;
    background-color: rgba(255, 255, 255, 0.7);
    border-radius: 25px;
    padding: 4%;
    margin-bottom: 20px;


}

.features-heading{

    font-family: var(--aneksans-font);
    text-shadow: 3px 3px 2px rgba(106, 106, 106, 0.5);
    padding-bottom: 10px;

}

.features-picture{

    width: 100%;
    height: 100%;
    padding-bottom: 20px;
}

.features-img{

    width: 100%;
    height: 100%;
    border-radius: 25px;
    

}





.features-paragraph{

    font-size: clamp(1.1rem, 3vw, 2rem);
    color: black;
    font-weight: 400;
    font-size: 0.8em;

    text-align: left;

}



.cards{

    width: 95%;
    height: auto;
    margin-left: 2%;
    
    

}


.card-wrapper img{

    
    width: 100%;
    height: auto;
    object-fit:fill;
    border-radius: 50px;

}



#cards div{

    width: 100%;
    height: auto;
    margin-bottom: 3%;
    margin-top: 3%;
    border-radius: 50px;
    translate: -100%;
    opacity: 0;
    
    
    

}

#cards div.show{

    translate: 0;
    opacity: 1;
    transition: 800ms ease;
    


}



table{

    font-family: var(--aneksans-font);

    border-collapse: collapse;
    border: 1px solid black;
    width: auto;
    
}
th, td{
    border: 1px solid #ccc;
    padding: 8px;
}
th{
    background-color: #f2f2f2;
    color: #333;
    text-align: left;
}


.table{


    max-width: var(--max-width);
    width: 100%;
    background-color: white;
    display: grid;
    place-items: center;
    justify-self: center;
}

.contacts{

    font-size: clamp(1.1rem, 3vw, 2rem);
    
    height: 100%;
    
    
}

.contacts-container {

    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    height: 100%;
   
    
        
}

.contacts-content{

    color: white;
    top: 150px;
    left: 4%;
    position: absolute;
    display: flex;
    flex-wrap:wrap;
    flex-direction: row;
 
    gap: 15px;
    width: 90%;
    height: auto;
    padding: 15px;
    background-color: rgba(223, 223, 223, 0.7);
    border-radius: 15px;
    
    
}

.contacts-heading {


    
    text-align: left;  

    color: var(--site-secundary-colour);
    font-family: var(--aneksans-font);
    flex-grow: 1;
    padding-bottom: 5px;
    text-shadow: #333;
    text-shadow: 6px 6px 3px rgba(0, 0, 0, 0.5);
    width: 600px;


}

.contacts-text{

    
    text-align: left;
    margin: auto;
    font-family: var(--dmsans-font);
    color: black;
    font-weight: 500;
    flex-grow: 1;
    
}

.about{

    font-size: clamp(1.1rem, 3vw, 2rem);
    place-items: center;
    height: 100%;
    
    
}

.about-container {

    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    justify-content: center;
    height: 100%;
    
    
        
}

.about-content{

    color: white;
    top: 150px;
    left: 4%;
    position: absolute;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    text-align: left;
    width: 90%;
    height: auto;
    padding: 15px;
    background-color: rgba(223, 223, 223, 0.7);
    border-radius: 15px;
    
    
}

.about-heading {


    
    justify-content: center;
    text-align: center;    
    color: var(--site-secundary-colour);
    font-family: var(--aneksans-font);
    flex-grow: 1;
    padding-bottom: 5px;
    text-shadow: #333;
    text-shadow: 6px 6px 3px rgba(0, 0, 0, 0.5);

}

.about-text{

    margin: auto;
    justify-content: flex-end;
    align-items: center;
    font-family: var(--dmsans-font);
    color: black;
    font-weight: 500;
    flex-grow: 1;
    
}





footer{

    
    background-color: #adadad;
    color: #333;
    place-items: center;



}

.footer-container{


    position: relative;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 40px;
    max-width: var(--max-width);
    width: 100%;
    padding: 2%;
    place-items: center;
    
    
}


.about-picture img{

    width: 100%;
    height: 850px;
    object-fit: cover;


}

.contacts-picture img{

    width: 100%;
    height: 700px;
    object-fit: cover;


}

.footer-logo-container{

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    


}


.footer-logo{

    width: 150px;
    max-width: 100%;
}

.card{

    text-align: center;
    font-family: var(--elmssans-font);
}

.card p{

    padding-bottom: 20px;

}

.newsletter{

    display: flex;
    flex-direction: column;
    justify-content: center;
    place-items: center;
    
    gap: 10px;
}

.newsletter-email{

    width: 100%;
    height: 30px;
    border-radius: 5px;
    padding-left: 10px;
    outline: none;
    border: none;


}

.newsletter-email:focus{

    outline: none;
}

.newsletter-button{

    width: 40%;
    height: 20px;
    all: unset;
    font-family: var(--aneksans-font);
    border-radius: 5px;
    border: none;
    background-color: whitesmoke;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 30px;
    padding-right: 30px;
    transition: all 0.2s ease-in-out;


}

.newsletter-button:hover{

    background-color: #b02828;

}

.footer-social-links{

    padding-top: 20px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
    width: 100%;
    height: auto

}

.footer-social-links a{

    width: 30px;
    height: 30px;

}

.footer-social-links a i{

    width: 30px;
    height: 30px;

}

.social-links-img-container{

    height: 30px;
    width: 30px;

}

.social-links-img-container img{

    position: relative;
    height: 100%;
    width: auto;

}

.footer-links{


    width: 100%;
    height: 100%;
    font-family: var(--comfartaa-font);
    line-height: 1.5em;
    font-weight: 200;
    text-align: center;
    display: flex;
    flex-direction: column;          /* Makes the container a flex container */
    align-items: center; 
    justify-content: center;
}

.footer-links ul li{


    list-style: none;
    text-decoration: none;
    


}

.footer-links ul li a{


    color: #b02828;
    list-style: none;
    text-decoration: none;
    transition: all 0.1s ease-in;


}

.footer-links ul li a:visited{


    color: black;
    
    


}

.footer-links ul li a:active{


    color: #b02828;
    
    


}

.footer-links ul li a:hover{


    color: #b02828;
    font-weight: 600;
    
    


}

.footer-links h4{


    padding-bottom: 20px;
    


}

.disclamer{

    max-width: var(--max-width);
    width: 100%;
    text-align: center;
    font-family: var(--comfartaa-font);
    padding-bottom: 20px;


}

